org.keycloak.admin.client.resource

## Interface RealmLocalizationResource

-     public interface RealmLocalizationResource

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deleteRealmLocalizationText(String locale, String key)`
    `void` | `deleteRealmLocalizationTexts(String locale)`
    `String` | `getRealmLocalizationText(String locale, String key)`
    `Map<String,String>` | `getRealmLocalizationTexts(String locale)`
    `List<String>` | `getRealmSpecificLocales()`
    `void` | `saveRealmLocalizationText(String locale, String key, String text)`

- - ### Method Detail

    - #### getRealmSpecificLocales

          @GET
           @Produces(value="application/json")
          List<String> getRealmSpecificLocales()

    - #### getRealmLocalizationTexts

          @Path(value="{locale}")
           @GET
           @Produces(value="application/json")
          Map<String,String> getRealmLocalizationTexts(@PathParam(value="locale")
                                                                                                                          String locale)

    - #### getRealmLocalizationText

          @Path(value="{locale}/{key}")
           @GET
           @Produces(value="text/plain")
          String getRealmLocalizationText(@PathParam(value="locale")
                                                                                                             String locale,
                                                                                                             @PathParam(value="key")
                                                                                                             String key)

    - #### deleteRealmLocalizationTexts

          @Path(value="{locale}")
           @DELETE
          void deleteRealmLocalizationTexts(@PathParam(value="locale")
                                                                             String locale)

    - #### deleteRealmLocalizationText

          @Path(value="{locale}/{key}")
           @DELETE
          void deleteRealmLocalizationText(@PathParam(value="locale")
                                                                                  String locale,
                                                                                  @PathParam(value="key")
                                                                                  String key)

    - #### saveRealmLocalizationText

          @Path(value="{locale}/{key}")
           @PUT
           @Consumes(value="text/plain")
          void saveRealmLocalizationText(@PathParam(value="locale")
                                                                                                            String locale,
                                                                                                            @PathParam(value="key")
                                                                                                            String key,
                                                                                                            String text)

Copyright © 2020 JBoss by Red Hat. All rights reserved.